{% extends "base.html" %}

{% block title %}{{user.name}}{% endblock %}

{% block content %}
    <h1 class="username-big">{{user.name}}</h1>
    <div class="resources">
        {% for rs in resource %}
        {{ rs|component('thumbnail') }}
        {% endfor %}
    </div>

    {% if user.id == user_id %}
    {% from 'document_form.html' import form as doc_form %}
    <form
        data-role="tool"
        data-label="+doc"
        action="/user/{{ user_id }}/document"
        class="hidden"
        name="doc"
        method="post"
        enctype="multipart/form-data"
        accept-charset="utf-8">
        {{ doc_form() }}
    </form>

    {% from 'query_form.html' import form as query_form %}
    <form
        data-role="tool"
        data-label="+query"
        action="/user/{{ user_id }}/query"
        class="hidden"
        name="query"
        method="post"
        enctype="multipart/form-data"
        accept-charset="utf-8">
        <fieldset>
        {{ query_form() }}
    </form>

    <!-- <form
        data-role="tool"
        data-label="+media"
        class="hidden"
         name="media"
          method="post"
          enctype="multipart/form-data"
          accept-charset="utf-8">
        <fieldset>
            <p>
                <input type="text"
                name="name"
                placeholder="document name"
                required>
            </p>
            <p>
                <textarea name="body" cols="72"></textarea>
            </p>
        </fieldset>
    </form> -->
    {% endif %}
{% endblock %}
